APT-CACHE(8)

NAME
apt-cache - utilidad de manejo de paquetes APT -- manipulador de caché

SYNOPSIS

apt-cache [ -hvsn ] [ -o=cadena de configuración ] [ -c=fichero ] { add fichero ... | gencaches | showpkg paquete ... | showsrc paquete ... | stats | dump | dumpavail | unmet | search expresión regular | show paquete ... | depends paquete ... | rdepends pkg ... | pkgnames prefijo | dotty paquete ... | policy paquetes ... | madison paquetes ... }

DESCRIPCIóN

apt-cache realiza una serie de operaciones sobre la caché de paquetes de APT. apt-cache no modifica el estado del sistema pero proporciona operaciones de búsqueda en la información de los paquetes, de las cuales se puede obtener información muy útil.

A menos que se proporcionen las opciones -h, o --help, se debe de proporcionar una de las siguientes órdenes:

add fichero(s)
    add añade el nombre del paquete a los ficheros de índices de la caché de paquetes. Sólo para depuración.

gencaches
    gencaches realiza la misma operación que apt-get check. Construye las cachés de paquetes fuente y de paquetes binarios, usando la lista de recursos en sources.list(5) junto con la información en /var/lib/dpkg/status.

showpkg paquete(s)
    showpkg muestra información acerca de los paquetes listados en la línea de órdenes. Los argumentos restantes se consideran nombres de paquetes. Por cada paquete se mostrarán las versiones disponibles y los paquetes que dependen de él (reverse dependencies), así como los paquetes de que depende (forward dependencies), (los cuales deben de ser instalados para instalar el paquete). Por ejemplo, apt-cache showpkg libreadline2 mostrará algo similar a lo siguiente:

Package: libreadline2
Versions: 2.1-12(/var/state/apt/lists/foo_Packages),
Reverse Depends:
  libreadlineg2,libreadline2
  libreadline2-altdev,libreadline2
Dependencies:
2.1-12 - libc5 (2 5.4.0-0) ncurses3.0 (0 (null))
Provides:
2.1-12 -
Reverse Provides:

Esta información nos indica que la versión 2.1-12 de libreadline2, depende de libc5 y ncurses3.0, ambos programas deben instalarse para que libreadline2 pueda funcionar. Además, libreadlineg2 y libreadline2-altdev dependen de libreadline2. Es decir, si se instala libreadline2, también se instalarán libc5 y ncurses3.0 (y ldso), pero libreadlineg2 y libreadline2-altdev no tienen que instalarse. Para una información más especifica acerca del significado de la salida consulte el código fuente de apt.

stats
    stats muestra algunas estadísticas acerca de la caché. No necesita ningún argumento adicional. Las estadísticas que muestra son:

    •   Total package names es el número de paquetes encontrados en la caché.

    •   Normal packages es el número de paquetes normales. Estos paquetes tienen una correspondencia unívoca entre sus nombres y los nombres que usan otros paquetes al listarlos en sus dependencias. La mayoría de los paquetes pertenecen a este grupo.

    •   Pure virtual packages es el número de paquetes que existen sólo como nombre de paquete virtual, esto es, paquetes que sólo "proporcionan" el nombre del paquete virtual, y no hay ningún paquete más que use realmente el nombre. Por ejemplo, "mail-transport-agent" en un sistema Debian GNU/Linux es un paquete virtual puro, varios paquetes proporcionan "mail-transport-agent", pero no hay ningún paquete que se llame "mail-transport-agent".

    •   Single virtual packages es el número de paquetes que sólo tiene un paquete real que los proporcione. Por ejemplo, en un sistema Debian GNU/Linux, "X11-text-viewer" es un paquete virtual, pero sólo un paquete, xless, proporciona "X11-text-viewer".

    •   Mixed virtual packages es el número de paquetes que o bien proporcionan un determinado paquete virtual o tienen el mismo nombre como paquete virtual y como paquete real, en un sistema Debian GNU/Linux, "debconf" es a la vez un paquete real, y es proporcionado por el paquete debconf-tiny.

    •   Missing es el número de nombres de paquetes a los que se hace referencia como dependencia pero que no son proporcionado por ningún paquete. Estos paquetes probablemente signifiquen que no se tiene acceso al total de la distribución, o bien que algún paquete (real o virtual) ha sido eliminado de la distribución. Normalmente se hace referencia a ellos desde los campos de conflictos de la descripción de los paquetes.

    •   Total distinct versions es el número de versiones de paquetes encontrados en la caché, por lo tanto el número es al menos igual al número total de paquetes. Si más de una distribución ("estable" e "inestable", por ejemplo), se encuentra en la caché al mismo tiempo, este valor puede ser considerablemente mayor que el número total de paquetes.

    •   Total dependencies es el número total de relaciones de dependencia necesitadas por todos los paquetes de la caché.

showsrc paquete(s)
    showsrc muestra todos los campos de los paquetes fuente que coinciden con los nombres de los paquetes suministrados. Se muestran todas las versiones, así como los paquetes que son binarios.

dump
    dump muestra una pequeña lista de todos los paquetes en la caché. Fundamentalmente para depuración.

dumpavail
    dumpavail envía a la salida estándar una lista de los paquetes disponibles. Esta lista es apropiada para su uso con dpkg(8) y es usada por el método dselect(8).

unmet
    unmet muestra un resumen de todas las dependencias no satisfechas en la caché de paquetes.

show paquete(s)
    show realiza una función similar a dpkg --print-avail, muestra los datos de los paquetes listados.

search regex [regex ...]
    search realiza una búsqueda de la expresión regular dada en todo el texto de todos los paquetes disponibles. Busca la expresión regular tanto en el nombre de los paquetes como en su descripción y muestra el nombre del paquete y una pequeña descripción de este. Si se proporciona el argumento --full el resultado es el igual al que produce show para cada paquete en concreto, pero si se proporciona el argumento --names-only entonces sólo se busca en el nombre de los paquetes.

    Se pueden especificar argumentos separados para buscar una cadena de caracteres que los contenga todos al mismo tiempo.

depends paquete(s)
    depends muestra una lista de todas la dependencias de un paquete y de todos los paquetes que la pueden satisfacer.

rdepends paquetes(s)
    rdepends muestrade las dependencias inversas de un paquete.

pkgnames [ prefijo ]
    Esta orden muestra el nombre de todos los paquetes instalados en el sistema. El argumento opcional es un prefijo por el cual se filtraría la lista de nombres. La salida es apropiada para uso junto con la función de auto-completado mediante tabulador en un intérprete de órdenes y se genera de forma extremadamente rápida. Su mejor uso es con la opción --generate.

dotty paquete(s)
    dotty toma una lista de paquetes de la línea de ordenes y genera una salida apropiada para dotty, del paquete GraphViz <URL:http://www.research.att.com/sw/tools/graphviz/>. El resultado será una serie de nodos y uniones representando las relaciones entre paquetes. Por omisión los paquetes dados mostrarán todas sus dependencias, lo que puede producir una salida muy grande. Esto puede ser deshabilitado activando la opción APT::Cache::GivenOnly.

    Los nodos resultantes tendrán varias formas, los paquetes normales son cajas, pure provides son triángulos, mixed provides son diamantes, los paquetes no encontrados son hexágonos. Las cajas naranjas significan recursion was stopped [leaf packages], líneas azules son predependencias, líneas verdes son conflictos.

    Tenga cuidado, dotty no puede dibujar una gran cantidad de paquetes.

policy [ paquete(s) ]
    policy está pensada para ayudar a depurar asuntos relacionado con el archivo de preferencias. Sin argumentos mostrará la prioridad de cada fuente. De lo contrario muestra una información detallada acerca de la prioridad de selección de cada nombre de paquete.

madison [ paquete(s) ]
    La orden madison de apt-cache intenta imitar el formato de salida y parte de la funcionalidad de la herramienta para el manejo del archivo de Debian, madison. Muestra las versiones disponibles de un determinado paquete en un formato tabular. A diferencia del madison original, sólo puede mostrar información para la arquitectura para la que APT obtuvo las listas de paquetes (APT::Architecture).

OPCIONES

Todas las opciones de línea de órdenes pueden ser especificadas mediante el fichero de configuración, en la descripción de cada opción se indica la opción de configuración que hay que modificar. Para opciones booleanas puedes modificar el fichero de configuración usando cosas parecidas a -f-,--no-f, -f=no y alguna que otra variante.

-p

--pkg-cache
    Selecciona el fichero para guardar la caché de paquetes. La caché de paquetes es la caché primaria usada para todas las operaciones. Opción de configuración: Dir::Cache::pkgcache.

-s

--src-cache
    Selecciona el fichero para guardar la caché de fuente. Sólo gencaches usa esta caché y guarda una versión meticulosamente analizada de la información de cada paquete de las fuentes remotas. Cuando se construye la caché de paquetes la caché fuente se usa para evitar analizar todos los ficheros de paquetes. Opción de configuración: Dir::Cache::srcpkgcache.

-q

--quiet
    Silencioso, produce una salida adecuada para su almacenamiento, omitiendo los indicadores de progreso. Más q's producirán una salida más silenciosa, hasta un máximo de 2. Además es posible usar -q=# para ajustar el nivel de silenciosidad, ignorando el fichero de configuración. Opción de configuración: quiet.

-i

--important
    Muestra sólo las dependencias importantes, se usa junto con unmet. Hace que sólo se muestren las dependencias y predependencias. Opción de configuración: APT::Cache::Important.

-f

--full
    Muestra todos los campos de información cuando se busque. Opción de configuración: APT::Cache::ShowFull.

-a

--all-versions
    Muestra la descripción completa de todos las versiones disponibles. Es el comportamiento predeterminado, para desactivarlo use --no-all-versions. Si se especifica --no-all-versions, sólo se muestra la versión candidata (la que se seleccionaría para instalar). Esta opción sólo es aplicable a la orden show. Opción de configuración: APT::Cache::AllVersions.

-g

--generate
    Realiza una regeneración completa de la caché de paquetes en vez de usarla tal y como está. Esta es la opción por omisión, para desactivarlo use --no-generate. Opción de configuración: APT::Cache::Generate.

--names-only

-n  Sólo busca en los nombres de paquetes, no en las descripciones largas. Opción de configuración: APT::Cache::NamesOnly.

--all-names
    Hace que pkgnames muestre todos los nombres, incluyendo los paquetes virtuales y las dependencias insatisfechas. Opción de configuración: APT::Cache::AllNames.

--recurse
    Hace depends y rdepends recursivos de modo que todos los paquetes mencionados se muestran sólo una vez. Opción de configuración APT::Cache::RecurseDepends.

--installed
    Limita la salida de depends y rdepends a paquetes instalados. Opción de configuración: APT::Cache::Installed.

-h

--help
    Muestra un breve resumen del modo de uso.

-v

--version
    Muestra la versión del programa.

-c

--config-file
    Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración por omisión y luego este otro. Lea apt.conf(5) para más información acerca de la sintaxis.

-o

--option
    Establece una opción de configuración. La sintaxis es -o Foo::Bar=bar.

FICHEROS

/etc/apt/sources.list
    Fichero que contiene los sitios de donde se obtienen los paquetes. Opción de configuración: Dir::Etc::SourceList.

/var/lib/apt/lists/
    Directorio donde se almacena la información del estado de cada paquete fuente por cada sitio especificado sources.list(5) Opción de configuración: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Directorio de almacenamiento para la información de estado en tránsito. Opción de Configuración: Dir::State::Lists (lo que implica que no estarán completos).

VEA ADEMáS

apt.conf(5), sources.list(5), apt-get(8)

DIAGNóSTICOS

apt-cache devuelve cero en operaciones satisfactorias, 100 en caso de error.

FALLOS

Vea la página de fallos de APT <URL:http://bugs.debian.org/src:apt>. Si desea avisar de un fallo en APT, vea /usr/share/doc/debian/bug-reporting.txt o la orden reportbug(1).

AUTOR

APT fue escrito por el equipo de APT <apt@packages.debian.org>.

TRADUCIóN

Página del manual traducida por Rubén Porras <nahoo@inicia.es>, revisada por Gustavo Saldumbide <gsal@adinet.com.uy>.